PETSc version 3.15.5
Fix/Edit manual page

# PetscBagViewFromOptions

Processes command line options to determine if/how a PetscBag is to be viewed.

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagViewFromOptions(PetscBag bag, PetscObject bobj, const char optionname[])

Collective on PetscBag

### Input Parameters

| obj | - the object
| bobj | - optional other object that provides prefix (if NULL then the prefix in obj is used)
| optionname | - option to activate viewing

### See Also

PetscBagCreate(), PetscBag, PetscViewer

### Level

intermediate

### Location

src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages